MySQL++: mysqlpp::ReadDefaultGroupOption Class Reference
mysqlpp::ReadDefaultGroupOption Class Reference

Override use of my.cnf. More...

`#include <options.h>`

Inheritance diagram for mysqlpp::ReadDefaultGroupOption:
[legend]
Collaboration diagram for mysqlpp::ReadDefaultGroupOption:
[legend]

## Additional Inherited Members

Public Types inherited from mysqlpp::DataOption< T >
typedef T | ArgType
| Alias for template param.
Public Types inherited from mysqlpp::Option
enum | Error { err_NONE, err_api_limit, err_api_reject, err_connected, err_disconnected }
| Types of option setting errors we can diagnose. More...
Public Member Functions inherited from mysqlpp::Option
virtual | ~Option ()
| Destroy object.
virtual Error | set (DBDriver *dbd)=0
| Apply option.
Protected Member Functions inherited from mysqlpp::DataOption< T >
| DataOption (const T &arg)
| Construct object.
Protected Attributes inherited from mysqlpp::DataOption< T >
T | arg_
| The argument value.

## Detailed Description

Override use of my.cnf.

The documentation for this class was generated from the following file:

- options.h